# PhasicFlow: boundaryGrainParticlesList Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

boundaryGrainParticlesList Class Reference
Inheritance diagram for boundaryGrainParticlesList:
[legend]
Collaboration diagram for boundaryGrainParticlesList:
[legend]

## Public Member Functions

| boundaryGrainParticlesList (const boundaryList &bndrs, grainParticles &prtcls)
| ~boundaryGrainParticlesList ()=default
Public Member Functions inherited from ListPtr< boundaryGrainParticles >
| TypeInfoTemplateNV11 ("ListPtr", boundaryGrainParticles)
| ListPtr ()
| ListPtr (size_t len)
| ListPtr (const ListPtrType &src)
| ListPtr (ListPtrType &&src)
ListPtrType & | operator= (const ListPtrType &rhs)
ListPtrType & | operator= (ListPtrType &&rhs)
ListPtrType * | clonePtr () const
uniquePtr< ListPtrType > | clone () const
| ~ListPtr ()
uniquePtr< boundaryGrainParticles > | set (size_t i, boundaryGrainParticles *ptr)
uniquePtr< boundaryGrainParticles > | set (size_t i, uniquePtr< boundaryGrainParticles > &&ptr)
uniquePtr< boundaryGrainParticles > | setSafe (size_t i, Args &&... args)
pFlow::uniquePtr< boundaryGrainParticles > | setSafe (size_t i, Args &&... args)
void | push_back (boundaryGrainParticles *ptr)
void | push_back (uniquePtr< boundaryGrainParticles > &&ptr)
void | push_backSafe (Args &&... args)
boundaryGrainParticles & | operator[] (size_t i)
const boundaryGrainParticles & | operator[] (size_t i) const
size_t | size () const
auto | empty () const
uniquePtr< boundaryGrainParticles > | release (size_t i)
void | clear ()
void | clear (size_t i)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const

## Private Attributes

const boundaryList & | boundaries_

## Additional Inherited Members

Public Types inherited from ListPtr< boundaryGrainParticles >
using | ListPtrType = ListPtr< boundaryGrainParticles >
using | listType = std::list< boundaryGrainParticles * >
using | iterator = typename listType::iterator
using | const_iterator = typename listType::const_iterator
Static Public Member Functions inherited from ListPtr< boundaryGrainParticles >
static uniquePtr< boundaryGrainParticles > | makeSafe (Args &&... args)
Protected Member Functions inherited from ListPtr< boundaryGrainParticles >
bool | copy (const ListPtrType &src)
boundaryGrainParticles * | ptr (size_t i)
const boundaryGrainParticles * | ptr (size_t i) const
auto | pos (size_t i)
auto | pos (size_t i) const
Protected Attributes inherited from ListPtr< boundaryGrainParticles >
std::list< boundaryGrainParticles * > | list_

## Detailed Description

Definition at line 13 of file boundaryGrainParticlesList.hpp.

## Constructor & Destructor Documentation

## boundaryGrainParticlesList()

boundaryGrainParticlesList | ( | const boundaryList & | bndrs,
|  | grainParticles & | prtcls
| ) |  |

Definition at line 3 of file boundaryGrainParticlesList.cpp.

References boundaryGrainParticlesList::boundaries_, boundaryGrainParticles::create(), ListPtr< boundaryGrainParticles >::set(), and ListPtr< T >::size().

Here is the call graph for this function:

## ~boundaryGrainParticlesList()

~boundaryGrainParticlesList | ( |  | ) |

default

## Member Data Documentation

## boundaries_

const boundaryList& boundaries_

private

Definition at line 19 of file boundaryGrainParticlesList.hpp.

Referenced by boundaryGrainParticlesList::boundaryGrainParticlesList().

The documentation for this class was generated from the following files:

- src/Particles/GrainParticles/boundaryGrainParticlesList.hpp
- src/Particles/GrainParticles/boundaryGrainParticlesList.cpp